#pragma once

/*!
	サーバー開始エラー
*/
class CServerStartErrorException
{
public:
	CServerStartErrorException() {};
	CServerStartErrorException(CString caller, CString errorInfo)
	{
		m_caller = caller;
		m_errorInfo = errorInfo;

		TRACE("CServerStartErrorException : [%s] %s\n", m_caller, m_errorInfo);
	}

	//!	呼び出し元クラス名
	CString	m_caller;

	//!	エラー情報
	CString	m_errorInfo;
};
